Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/StatusAndDateReq.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/StatusAndDateReq.Designer.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/StatusAndDateReq.Designer.cs	(revision 51)
@@ -0,0 +1,312 @@
+﻿namespace ProcessManagement.Forms.DataEntry
+{
+    partial class StatusAndDateReq
+    {
+        /// <summary>
+        /// Required designer variable.
+        /// </summary>
+        private System.ComponentModel.IContainer components = null;
+
+        /// <summary>
+        /// Clean up any resources being used.
+        /// </summary>
+        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+        protected override void Dispose(bool disposing)
+        {
+            if (disposing && (components != null))
+            {
+                components.Dispose();
+            }
+            base.Dispose(disposing);
+        }
+
+        #region Windows Form Designer generated code
+
+        /// <summary>
+        /// Required method for Designer support - do not modify
+        /// the contents of this method with the code editor.
+        /// </summary>
+        private void InitializeComponent()
+        {
+            this.label1 = new System.Windows.Forms.Label();
+            this.comboBox1 = new System.Windows.Forms.ComboBox();
+            this.groupBox1 = new System.Windows.Forms.GroupBox();
+            this.radioButton3 = new System.Windows.Forms.RadioButton();
+            this.radioButton4 = new System.Windows.Forms.RadioButton();
+            this.dateTimePicker1 = new System.Windows.Forms.DateTimePicker();
+            this.groupBox2 = new System.Windows.Forms.GroupBox();
+            this.radioButton2 = new System.Windows.Forms.RadioButton();
+            this.radioButton1 = new System.Windows.Forms.RadioButton();
+            this.lblProgressNameB = new System.Windows.Forms.Label();
+            this.lblProgressNameA = new System.Windows.Forms.Label();
+            this.label4 = new System.Windows.Forms.Label();
+            this.label3 = new System.Windows.Forms.Label();
+            this.label5 = new System.Windows.Forms.Label();
+            this.lblMessageB = new System.Windows.Forms.Label();
+            this.btnCancel = new System.Windows.Forms.Button();
+            this.btnExecProc1 = new System.Windows.Forms.Button();
+            this.btnExecProc2 = new System.Windows.Forms.Button();
+            this.groupBox1.SuspendLayout();
+            this.groupBox2.SuspendLayout();
+            this.SuspendLayout();
+            // 
+            // label1
+            // 
+            this.label1.AutoSize = true;
+            this.label1.Location = new System.Drawing.Point(33, 19);
+            this.label1.Name = "label1";
+            this.label1.Size = new System.Drawing.Size(102, 21);
+            this.label1.TabIndex = 0;
+            this.label1.Text = "作成対象";
+            // 
+            // comboBox1
+            // 
+            this.comboBox1.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.comboBox1.FormattingEnabled = true;
+            this.comboBox1.Items.AddRange(new object[] {
+            "１回目",
+            "２回目",
+            "３回目"});
+            this.comboBox1.Location = new System.Drawing.Point(141, 15);
+            this.comboBox1.Name = "comboBox1";
+            this.comboBox1.Size = new System.Drawing.Size(182, 29);
+            this.comboBox1.TabIndex = 1;
+            // 
+            // groupBox1
+            // 
+            this.groupBox1.BackColor = System.Drawing.Color.WhiteSmoke;
+            this.groupBox1.Controls.Add(this.radioButton3);
+            this.groupBox1.Controls.Add(this.radioButton4);
+            this.groupBox1.Controls.Add(this.dateTimePicker1);
+            this.groupBox1.Location = new System.Drawing.Point(37, 65);
+            this.groupBox1.Name = "groupBox1";
+            this.groupBox1.Size = new System.Drawing.Size(620, 143);
+            this.groupBox1.TabIndex = 3;
+            this.groupBox1.TabStop = false;
+            this.groupBox1.Text = "請求日";
+            // 
+            // radioButton3
+            // 
+            this.radioButton3.AutoSize = true;
+            this.radioButton3.Location = new System.Drawing.Point(135, 102);
+            this.radioButton3.Name = "radioButton3";
+            this.radioButton3.Size = new System.Drawing.Size(396, 25);
+            this.radioButton3.TabIndex = 17;
+            this.radioButton3.Text = "印字しない（　　年　　月　　日）";
+            this.radioButton3.UseVisualStyleBackColor = true;
+            // 
+            // radioButton4
+            // 
+            this.radioButton4.AutoSize = true;
+            this.radioButton4.Checked = true;
+            this.radioButton4.Location = new System.Drawing.Point(135, 32);
+            this.radioButton4.Name = "radioButton4";
+            this.radioButton4.Size = new System.Drawing.Size(120, 25);
+            this.radioButton4.TabIndex = 18;
+            this.radioButton4.TabStop = true;
+            this.radioButton4.Text = "印字する";
+            this.radioButton4.UseVisualStyleBackColor = true;
+            // 
+            // dateTimePicker1
+            // 
+            this.dateTimePicker1.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.dateTimePicker1.Location = new System.Drawing.Point(164, 65);
+            this.dateTimePicker1.Name = "dateTimePicker1";
+            this.dateTimePicker1.Size = new System.Drawing.Size(179, 28);
+            this.dateTimePicker1.TabIndex = 16;
+            this.dateTimePicker1.TabStop = false;
+            // 
+            // groupBox2
+            // 
+            this.groupBox2.BackColor = System.Drawing.Color.WhiteSmoke;
+            this.groupBox2.Controls.Add(this.radioButton2);
+            this.groupBox2.Controls.Add(this.radioButton1);
+            this.groupBox2.Controls.Add(this.lblProgressNameB);
+            this.groupBox2.Controls.Add(this.lblProgressNameA);
+            this.groupBox2.Controls.Add(this.label4);
+            this.groupBox2.Controls.Add(this.label3);
+            this.groupBox2.Controls.Add(this.label5);
+            this.groupBox2.Location = new System.Drawing.Point(37, 224);
+            this.groupBox2.Name = "groupBox2";
+            this.groupBox2.Size = new System.Drawing.Size(620, 200);
+            this.groupBox2.TabIndex = 7;
+            this.groupBox2.TabStop = false;
+            this.groupBox2.Text = "工事の進捗状態";
+            // 
+            // radioButton2
+            // 
+            this.radioButton2.AutoSize = true;
+            this.radioButton2.Location = new System.Drawing.Point(175, 29);
+            this.radioButton2.Name = "radioButton2";
+            this.radioButton2.Size = new System.Drawing.Size(143, 25);
+            this.radioButton2.TabIndex = 12;
+            this.radioButton2.Text = "変更しない";
+            this.radioButton2.UseVisualStyleBackColor = true;
+            // 
+            // radioButton1
+            // 
+            this.radioButton1.AutoSize = true;
+            this.radioButton1.Checked = true;
+            this.radioButton1.Location = new System.Drawing.Point(326, 29);
+            this.radioButton1.Name = "radioButton1";
+            this.radioButton1.Size = new System.Drawing.Size(120, 25);
+            this.radioButton1.TabIndex = 13;
+            this.radioButton1.TabStop = true;
+            this.radioButton1.Text = "変更する";
+            this.radioButton1.UseVisualStyleBackColor = true;
+            // 
+            // lblProgressNameB
+            // 
+            this.lblProgressNameB.BackColor = System.Drawing.Color.White;
+            this.lblProgressNameB.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblProgressNameB.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+            this.lblProgressNameB.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblProgressNameB.Location = new System.Drawing.Point(204, 148);
+            this.lblProgressNameB.Name = "lblProgressNameB";
+            this.lblProgressNameB.Size = new System.Drawing.Size(360, 30);
+            this.lblProgressNameB.TabIndex = 7;
+            this.lblProgressNameB.Text = "請求準備";
+            this.lblProgressNameB.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // lblProgressNameA
+            // 
+            this.lblProgressNameA.BackColor = System.Drawing.Color.White;
+            this.lblProgressNameA.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblProgressNameA.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+            this.lblProgressNameA.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblProgressNameA.Location = new System.Drawing.Point(204, 69);
+            this.lblProgressNameA.Name = "lblProgressNameA";
+            this.lblProgressNameA.Size = new System.Drawing.Size(360, 30);
+            this.lblProgressNameA.TabIndex = 8;
+            this.lblProgressNameA.Text = "施工完了";
+            this.lblProgressNameA.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // label4
+            // 
+            this.label4.AutoSize = true;
+            this.label4.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label4.Location = new System.Drawing.Point(33, 153);
+            this.label4.Name = "label4";
+            this.label4.Size = new System.Drawing.Size(171, 21);
+            this.label4.TabIndex = 9;
+            this.label4.Text = "実行後進捗状態";
+            // 
+            // label3
+            // 
+            this.label3.AutoSize = true;
+            this.label3.Font = new System.Drawing.Font("ＭＳ 明朝", 24F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label3.Location = new System.Drawing.Point(368, 107);
+            this.label3.Name = "label3";
+            this.label3.Size = new System.Drawing.Size(32, 33);
+            this.label3.TabIndex = 10;
+            this.label3.Text = "⇓";
+            // 
+            // label5
+            // 
+            this.label5.AutoSize = true;
+            this.label5.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label5.Location = new System.Drawing.Point(56, 74);
+            this.label5.Name = "label5";
+            this.label5.Size = new System.Drawing.Size(148, 21);
+            this.label5.TabIndex = 11;
+            this.label5.Text = "現在進捗状態";
+            // 
+            // lblMessageB
+            // 
+            this.lblMessageB.AutoSize = true;
+            this.lblMessageB.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblMessageB.Location = new System.Drawing.Point(91, 439);
+            this.lblMessageB.Name = "lblMessageB";
+            this.lblMessageB.Size = new System.Drawing.Size(539, 21);
+            this.lblMessageB.TabIndex = 8;
+            this.lblMessageB.Text = "【印刷のみ】、【保存のみ】を選択してください。";
+            // 
+            // btnCancel
+            // 
+            this.btnCancel.BackColor = System.Drawing.Color.Red;
+            this.btnCancel.FlatStyle = System.Windows.Forms.FlatStyle.System;
+            this.btnCancel.ForeColor = System.Drawing.Color.White;
+            this.btnCancel.Location = new System.Drawing.Point(530, 480);
+            this.btnCancel.Name = "btnCancel";
+            this.btnCancel.Size = new System.Drawing.Size(140, 40);
+            this.btnCancel.TabIndex = 11;
+            this.btnCancel.Text = "キャンセル";
+            this.btnCancel.UseVisualStyleBackColor = false;
+            // 
+            // btnExecProc1
+            // 
+            this.btnExecProc1.BackColor = System.Drawing.Color.Green;
+            this.btnExecProc1.FlatStyle = System.Windows.Forms.FlatStyle.System;
+            this.btnExecProc1.ForeColor = System.Drawing.Color.White;
+            this.btnExecProc1.Location = new System.Drawing.Point(234, 480);
+            this.btnExecProc1.Name = "btnExecProc1";
+            this.btnExecProc1.Size = new System.Drawing.Size(140, 40);
+            this.btnExecProc1.TabIndex = 9;
+            this.btnExecProc1.Text = "印刷のみ";
+            this.btnExecProc1.UseVisualStyleBackColor = false;
+            this.btnExecProc1.Click += new System.EventHandler(this.btnExecProc1_Click);
+            // 
+            // btnExecProc2
+            // 
+            this.btnExecProc2.BackColor = System.Drawing.Color.Green;
+            this.btnExecProc2.FlatStyle = System.Windows.Forms.FlatStyle.System;
+            this.btnExecProc2.ForeColor = System.Drawing.Color.White;
+            this.btnExecProc2.Location = new System.Drawing.Point(382, 480);
+            this.btnExecProc2.Name = "btnExecProc2";
+            this.btnExecProc2.Size = new System.Drawing.Size(140, 40);
+            this.btnExecProc2.TabIndex = 10;
+            this.btnExecProc2.Text = "保存のみ";
+            this.btnExecProc2.UseVisualStyleBackColor = false;
+            // 
+            // StatusAndDateReq
+            // 
+            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.None;
+            this.BackColor = System.Drawing.Color.White;
+            this.ClientSize = new System.Drawing.Size(694, 536);
+            this.Controls.Add(this.btnCancel);
+            this.Controls.Add(this.btnExecProc1);
+            this.Controls.Add(this.btnExecProc2);
+            this.Controls.Add(this.lblMessageB);
+            this.Controls.Add(this.groupBox2);
+            this.Controls.Add(this.groupBox1);
+            this.Controls.Add(this.comboBox1);
+            this.Controls.Add(this.label1);
+            this.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
+            this.Margin = new System.Windows.Forms.Padding(4);
+            this.MaximizeBox = false;
+            this.MinimizeBox = false;
+            this.Name = "StatusAndDateReq";
+            this.ShowIcon = false;
+            this.Text = "実　行　確　認";
+            this.groupBox1.ResumeLayout(false);
+            this.groupBox1.PerformLayout();
+            this.groupBox2.ResumeLayout(false);
+            this.groupBox2.PerformLayout();
+            this.ResumeLayout(false);
+            this.PerformLayout();
+
+        }
+
+        #endregion
+
+        private System.Windows.Forms.Label label1;
+        private System.Windows.Forms.ComboBox comboBox1;
+        private System.Windows.Forms.GroupBox groupBox1;
+        private System.Windows.Forms.RadioButton radioButton3;
+        private System.Windows.Forms.RadioButton radioButton4;
+        private System.Windows.Forms.DateTimePicker dateTimePicker1;
+        private System.Windows.Forms.GroupBox groupBox2;
+        private System.Windows.Forms.RadioButton radioButton2;
+        private System.Windows.Forms.RadioButton radioButton1;
+        private System.Windows.Forms.Label lblProgressNameB;
+        private System.Windows.Forms.Label lblProgressNameA;
+        private System.Windows.Forms.Label label4;
+        private System.Windows.Forms.Label label3;
+        private System.Windows.Forms.Label label5;
+        private System.Windows.Forms.Label lblMessageB;
+        private System.Windows.Forms.Button btnCancel;
+        private System.Windows.Forms.Button btnExecProc1;
+        private System.Windows.Forms.Button btnExecProc2;
+    }
+}
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/StatusAndDateReq.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/StatusAndDateReq.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/StatusAndDateReq.cs	(revision 51)
@@ -0,0 +1,27 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class StatusAndDateReq : Form
+    {
+        public StatusAndDateReq()
+        {
+            InitializeComponent();
+        }
+
+        private void btnExecProc1_Click(object sender, EventArgs e)
+        {
+            //MessageBox.Show("工事金額が全て請求されていませんが、\r\n請求書承認を申請してよろしいですか？", "請求書申請", MessageBoxButtons.YesNo, MessageBoxIcon.Warning);
+//            MessageBox.Show("請求書承認を申請してよろしいですか？", "請求書申請", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
+            MessageBox.Show("施工完了ではないため、請求書承認の申請はできません。", "請求書申請", MessageBoxButtons.OK, MessageBoxIcon.Error);
+        }
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SalesGraphData/FrmSalesGraphData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SalesGraphData/FrmSalesGraphData.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SalesGraphData/FrmSalesGraphData.cs	(revision 51)
@@ -71,8 +71,25 @@
         /// 終了ボタン押下フラグ
         /// </summary>
         private bool m_EndButton = false;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
 
+        #region プロパティ
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
+        #endregion
+
         #region コンストラクタ
         public FrmSalesGraphData()
         {
@@ -93,9 +110,6 @@
         }
         #endregion
 
-        #region プロパティ
-        #endregion
-
         #region ×ボタン押下処理
         /// <summary>
         /// ×ボタン押下処理
@@ -144,6 +158,12 @@
 
             // 初期表示
             InitDataLoad();
+
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
         }
         #endregion
 
@@ -784,5 +804,27 @@
             DispGridData();
         }
         #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                dgvMaster.ReadOnly = true;
+                btnDataEntry.Visible = false;
+                btnLineDelete.Visible = false;
+                btnLineEntry.Visible = false;
+                btnDispDown.Visible = false;
+                btnDispUp.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
